Abort a task

/tasks/{task_id}/actions/abort

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call aborts the specified task. Only tasks whose status is "RUNNING" or "QUEUED" may be aborted.

https://cgc-api.sbgenomics.com/v2/tasks/{task_id}/actions/abort

Request

Example request

POST /v2/tasks/dec3eda6-152b-4601-22ec-82bc9d58bdb6/actions/abort" HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl  -s -H "X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74" -H "content-type: application/json" -X POST "https://cgc-api.sbgenomics.com/v2/tasks/dec3eda6-152b-4601-22ec-82bc9d58bdb6/actions/abort"

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your Seven Bridges Platform authentication token.

Path parameters

NameDescription
task_idThe ID of the task you are acting on.

Query parameters

NameData typeDescription
fieldsstringSelector specifying a subset of fields to include in the response.

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Example response body

{
  "href": "https://cgc-api.sbgenomics.com/v2/tasks/dec3eda6-152b-4601-22ec-82bc9d58bdb6",
  "id": "dec3eda6-152b-4601-22ec-82bc9d58bdb6",
  "name": "Workflow run - 11-15-15 15:56:11",
  "status": "Active",
  "project": "RFranklin/my-project",
  "app": "RFranklin/my-project/workflow/1",
  "created_by": "RFranklin",
  "executed_by": "Kate",
  "start_time": "2015-11-15T15:56:11Z",
  "inputs": {
    "my_hardcoded_string": {
      "schema": [
        "null",
        "string"
      ],
      "value": null,
      "errors": null,
      "files": null,
      "missing_files": null
    }
  }
}
Language
LoadingLoading…